<html>
<head>
<title>OGRE: Ogre::InstancedGeometry::QueuedGeometry Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1InstancedGeometry.html">InstancedGeometry</a>::<a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html">QueuedGeometry</a></div>
<h1>Ogre::InstancedGeometry::QueuedGeometry Struct Reference</h1><!-- doxytag: class="Ogre::InstancedGeometry::QueuedGeometry" -->Structure recording a queued geometry for low level builds.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOgre_1_1InstancedGeometry_1_1SubMeshLodGeometryLink.html">SubMeshLodGeometryLink</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html#14c54b5a199e3422434ffa98696defc7">geometry</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html#10b3c3dd71f94e480670ea6ea1309e17">position</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html#445d29fba00e38d69ecd7194fb045a73">orientation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html#0090966deab54028b9a298496c8fd1a3">scale</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html#50858044b886011faf3ee6b50c7d248f">ID</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure recording a queued geometry for low level builds. 
<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00149">149</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="14c54b5a199e3422434ffa98696defc7"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedGeometry::geometry" ref="14c54b5a199e3422434ffa98696defc7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1InstancedGeometry_1_1SubMeshLodGeometryLink.html">SubMeshLodGeometryLink</a>* <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html#14c54b5a199e3422434ffa98696defc7">Ogre::InstancedGeometry::QueuedGeometry::geometry</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00151">151</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="10b3c3dd71f94e480670ea6ea1309e17"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedGeometry::position" ref="10b3c3dd71f94e480670ea6ea1309e17" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html#10b3c3dd71f94e480670ea6ea1309e17">Ogre::InstancedGeometry::QueuedGeometry::position</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00152">152</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="445d29fba00e38d69ecd7194fb045a73"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedGeometry::orientation" ref="445d29fba00e38d69ecd7194fb045a73" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html#445d29fba00e38d69ecd7194fb045a73">Ogre::InstancedGeometry::QueuedGeometry::orientation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00153">153</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0090966deab54028b9a298496c8fd1a3"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedGeometry::scale" ref="0090966deab54028b9a298496c8fd1a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html#0090966deab54028b9a298496c8fd1a3">Ogre::InstancedGeometry::QueuedGeometry::scale</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00154">154</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="50858044b886011faf3ee6b50c7d248f"></a><!-- doxytag: member="Ogre::InstancedGeometry::QueuedGeometry::ID" ref="50858044b886011faf3ee6b50c7d248f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html#50858044b886011faf3ee6b50c7d248f">Ogre::InstancedGeometry::QueuedGeometry::ID</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00155">155</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:12 2008
</p>
</body>
</html>
